首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
Node.js
Express
PPA for Ubuntu
ppa:chris-lea/node.js
turing
V2EX  ›  Node.js

使用 ES6 编写 Node 模块

  •  
  •   turing · 2015-04-20 22:30:17 +08:00 · 4840 次点击
    这是一个创建于 1744 天前的主题,其中的信息可能已经有所发展或是发生改变。
    最近因为接触 React Native 的原因,写了很多 ES6+,所以也顺便在给自己原有的项目做重构,写了一篇关于这个的小文章:

    http://guoyu.me/article/1175527463678266129
    12 回复  |  直到 2015-04-27 13:47:23 +08:00
    zmmmg
        1
    zmmmg   2015-04-21 09:41:41 +08:00
    文章不错,学习了一把,谢谢分享。
    我们前几天尝试了co的写法,有些小兴奋,还没有来得及重构自己的项目。
    7anshuai
        2
    7anshuai   2015-04-21 10:23:43 +08:00
    同学习下,虽然觉得ES6的新语法怪怪的
    JoshOY
        3
    JoshOY   2015-04-21 10:56:05 +08:00 via Android
    ECMA6给我的感觉就是越长越像Python了……
    只希望新标准尽快实现吧,毕竟JavaScript用起来陷阱太多了。(>﹏<)
    zongwan
        4
    zongwan   2015-04-21 12:02:34 +08:00
    console error
    GET http://static.duoshuo.com/libs/embed.compat.js?24f8ca3f.js net::ERR_CONNECTION_RESET
    embed.js:1
    GET http://guoyu.duoshuo.com/api/threads/details.json?thread_id=1175527463678266129&v=15.3.25 net::ERR_CONNECTION_TIMED_OUT

    发现最上面的蓝色loading条是假的...?
    下面早就 pending->failed了
    turing
        5
    turing   2015-04-21 12:35:24 +08:00
    @zongwan 是遇到了静态资源加载不出的问题吗?
    bitinn
        6
    bitinn   2015-04-21 13:47:18 +08:00
    用ES6很好就是多了个步compile step(说的后端,前端已经有了),目前看v8距离class支持还比较远,估计babel/traceur要延续相当久。

    此外node/io上的require习惯存在已久,让开发者选择import vs require(其实是babel/traceur vs browserify/webpack),也有难度。

    目前我还没回去重构我现有的开源代码,but maybe someday...
    turing
        7
    turing   2015-04-21 13:50:46 +08:00
    @bitinn 嗯,编码习惯是比较难转变的,不过我觉得还是要走向与标准融合的大趋势。

    另外用 import 的方式,前后端的模块加载规范也统一了,对自己的编码习惯养成来说也是个好处。
    zongwan
        8
    zongwan   2015-04-21 16:16:07 +08:00
    @turing 现在加载出来了... 可以看到了 wwwww
    iwege
        9
    iwege   2015-04-21 16:48:52 +08:00
    @bitinn import 前后端用babel和webpack是完全没难度的,只要简单的用babel将module编译成为amd的就好了。Typescript的` import xxx = require('xxx')` 才是有难度的.....
    eeeeeeve
        10
    eeeeeeve   2015-04-25 21:00:24 +08:00
    nodejs没法用es6的吧?
    需要和使用iojs?
    magicdawn
        11
    magicdawn   2015-04-26 16:15:23 +08:00
    只用到ES6的Generator...

    其他可有可无的暂时先放放...
    whimsySun
        12
    whimsySun   2015-04-27 13:47:23 +08:00
    配合babel,轻松使用,已经在生产环境这么干了
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   2216 人在线   最高记录 5168   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 22ms · UTC 07:29 · PVG 15:29 · LAX 23:29 · JFK 02:29
    ♥ Do have faith in what you're doing.